Skip to main content
PUT
Update inventories

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Заголовки

X-Tenant-Id
integer

Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.

Параметры пути

id
integer
обязательно

Тело

inventory
integer
обязательно
request
integer | null
client
integer | null
tarif
integer | null
tarif_price
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
tarif_duration
string
start_at
string<date-time> | null
end_at
string<date-time> | null
extra
any
autorenewal
boolean | null
write-only
request_status
  • 0 - Запрос
  • 1 - Забронировано
  • 2 - В аренде
  • 3 - Отменено
  • 4 - Завершено
  • 5 - Должник
  • 6 - Просрочка
Доступные опции:
0,
1,
2,
3,
4,
5,
6

Ответ

200 - application/json
inventory
integer
обязательно
request
integer | null
client
integer | null
tarif
integer | null
tarif_price
string<decimal>
Pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
tarif_duration
string
start_at
string<date-time> | null
end_at
string<date-time> | null
extra
any
request_status
  • 0 - Запрос
  • 1 - Забронировано
  • 2 - В аренде
  • 3 - Отменено
  • 4 - Завершено
  • 5 - Должник
  • 6 - Просрочка
Доступные опции:
0,
1,
2,
3,
4,
5,
6